curl --location --request DELETE 'https://api.stateset.com/v1/bill_of_materials' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "bom_1NXWPnCo6bFb1KQto6C8OWvE"
}'
mutation deleteBillOfMaterials ($id: String!) {
delete_bill_of_materials(where: {id: {_eq: $id}}) {
affected_rows
}
}
const billOfMaterials = await stateset.billofmaterials.del({
'bom_1NXWPnCo6bFb1KQto6C8OWvE'
});
billOfMaterials = stateset.billofmaterials.del({
'bom_1NXWPnCo6bFb1KQto6C8OWvE'
})
billOfMaterials = Stateset::BillOfMaterials.delete({
'bom_1NXWPnCo6bFb1KQto6C8OWvE'
})
$billOfMaterials = $stateset->billOfMaterials->delete([
'bom_1NXWPnCo6bFb1KQto6C8OWvE'
]);
billOfMaterials, err := stateset.BillOfMaterials.Delete(
"bom_1NXWPnCo6bFb1KQto6C8OWvE"
)
BillOfMaterials billOfMaterials = stateset.billOfMaterials.delete(
"bom_1NXWPnCo6bFb1KQto6C8OWvE"
);
{
"id": "bom_1NXWPnCo6bFb1KQto6C8OWvE",
"object": "billofmaterials",
"deleted": true
}
Delete Bill Of Materials
This endpoint deletes an existing bill of materials.
DELETE
/
v1
/
bill_of_materials
curl --location --request DELETE 'https://api.stateset.com/v1/bill_of_materials' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "bom_1NXWPnCo6bFb1KQto6C8OWvE"
}'
mutation deleteBillOfMaterials ($id: String!) {
delete_bill_of_materials(where: {id: {_eq: $id}}) {
affected_rows
}
}
const billOfMaterials = await stateset.billofmaterials.del({
'bom_1NXWPnCo6bFb1KQto6C8OWvE'
});
billOfMaterials = stateset.billofmaterials.del({
'bom_1NXWPnCo6bFb1KQto6C8OWvE'
})
billOfMaterials = Stateset::BillOfMaterials.delete({
'bom_1NXWPnCo6bFb1KQto6C8OWvE'
})
$billOfMaterials = $stateset->billOfMaterials->delete([
'bom_1NXWPnCo6bFb1KQto6C8OWvE'
]);
billOfMaterials, err := stateset.BillOfMaterials.Delete(
"bom_1NXWPnCo6bFb1KQto6C8OWvE"
)
BillOfMaterials billOfMaterials = stateset.billOfMaterials.delete(
"bom_1NXWPnCo6bFb1KQto6C8OWvE"
);
{
"id": "bom_1NXWPnCo6bFb1KQto6C8OWvE",
"object": "billofmaterials",
"deleted": true
}
Body
string
The id of the bill of materials to delete.
Response
string
The ID provided in the data tab may be used to identify the return
string
The object type
number
Indicates whether the call was successful. 1 if successful, 0 if not.
curl --location --request DELETE 'https://api.stateset.com/v1/bill_of_materials' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "bom_1NXWPnCo6bFb1KQto6C8OWvE"
}'
mutation deleteBillOfMaterials ($id: String!) {
delete_bill_of_materials(where: {id: {_eq: $id}}) {
affected_rows
}
}
const billOfMaterials = await stateset.billofmaterials.del({
'bom_1NXWPnCo6bFb1KQto6C8OWvE'
});
billOfMaterials = stateset.billofmaterials.del({
'bom_1NXWPnCo6bFb1KQto6C8OWvE'
})
billOfMaterials = Stateset::BillOfMaterials.delete({
'bom_1NXWPnCo6bFb1KQto6C8OWvE'
})
$billOfMaterials = $stateset->billOfMaterials->delete([
'bom_1NXWPnCo6bFb1KQto6C8OWvE'
]);
billOfMaterials, err := stateset.BillOfMaterials.Delete(
"bom_1NXWPnCo6bFb1KQto6C8OWvE"
)
BillOfMaterials billOfMaterials = stateset.billOfMaterials.delete(
"bom_1NXWPnCo6bFb1KQto6C8OWvE"
);
{
"id": "bom_1NXWPnCo6bFb1KQto6C8OWvE",
"object": "billofmaterials",
"deleted": true
}
โI